org.apache.commons.ssl.asn1

## Class LimitedInputStream

- java.lang.Object
- - java.io.InputStream
  - - org.apache.commons.ssl.asn1.LimitedInputStream

All Implemented Interfaces:
  java.io.Closeable, java.lang.AutoCloseable

Direct Known Subclasses:
  DefiniteLengthInputStream, IndefiniteLengthInputStream

    abstract class LimitedInputStream
    extends java.io.InputStream

### Field Summary

Fields
`protected java.io.InputStream` `_in`

### Constructor Summary

Constructors
Constructor and Description
`LimitedInputStream(java.io.InputStream in)`

### Method Summary

Methods
`(package private) java.io.InputStream` `getUnderlyingStream()`
`protected void` `setParentEofDetect(boolean on)`

### Methods inherited from class java.io.InputStream

`available, close, mark, markSupported, read, read, read, reset, skip`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### _in

    protected final java.io.InputStream _in

### Constructor Detail

#### LimitedInputStream

    LimitedInputStream(java.io.InputStream in)

### Method Detail

#### getUnderlyingStream

    java.io.InputStream getUnderlyingStream()

#### setParentEofDetect

    protected void setParentEofDetect(boolean on)